Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.beans
Interface Observable

All Known Implementing Classes:
  AbstractConverter, AbstractValueModel, AbstractVetoableValueModel, BeanAdapter, BeanAdapter.SimplePropertyAdapter, BufferedValueModel, ChangeTracker, ComponentValueModel, ConverterFactory.BooleanNegator, ConverterFactory.BooleanToStringConverter, ConverterFactory.DoubleConverter, ConverterFactory.DoubleToIntegerConverter, ConverterFactory.FloatConverter, ConverterFactory.FloatToIntegerConverter, ConverterFactory.IntegerConverter, ConverterFactory.LongConverter, ConverterFactory.LongToIntegerConverter, ConverterFactory.StringConverter, DelayedReadValueModel, DelayedWriteValueModel, ListHolder, ListModelHolder, Model, NonNullValueModel, PreferencesAdapter, PresentationModel, PropertyAdapter, SelectionInList, SelectionInList2, SelectionInListModel, Trigger, ValueHolder

    public interface Observable

Describes objects that provide bound properties as specified in the Java Bean Secification. This interface is primarily intended to ensure compile-time safety for beans that shall be observed by a `BeanAdapter` or `PropertyAdapter`. However, these classes can observe beans that follow the Bean specification for bound properties - even if the beans don't implement this Observable interface.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch
See Also:
  `PropertyChangeListener`, `PropertyChangeEvent`, `PropertyChangeSupport`, `BeanAdapter`, `PropertyAdapter`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds the given PropertyChangeListener to the listener list.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes the given PropertyChangeListener from the listener list.

Method Detail

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)

  Adds the given PropertyChangeListener to the listener list. The listener is registered for all bound properties of this class.

  Parameters:
    `listener` - the PropertyChangeListener to be added
  See Also:
    `removePropertyChangeListener(PropertyChangeListener)`

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)

  Removes the given PropertyChangeListener from the listener list. This method should be used to remove PropertyChangeListeners that were registered for all bound properties of this class.

  Parameters:
    `listener` - the PropertyChangeListener to be removed
  See Also:
    `addPropertyChangeListener(PropertyChangeListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.